Skip to content
master
Go to file
Code

Latest commit

 

Git stats

Files

Permalink
Failed to load latest commit information.
Type
Name
Latest commit message
Commit time
po
 
 
src
 
 
 
 
 
 
 
 
 
 

README.md

One Click Installer

One Click Install makes it easy for users to install software, no matter where that software is located.

Prerequisite Packages

To build and develop One Click Installer, several packages may be required from your distribution. Here's a list. Required Dependencies

  1. Qt Framework > 5.2.0
  2. Libzypp API

Setting Up The Environment

$ zypper install PackageKit-Qt5-devel libzypp-devel libqt5-qtbase-devel

Getting the Source Code

To get the source code, clone the GitHub repository:

$ git clone https://github.com/openSUSE/one-click-installer.git

If you want to contribute into the project you can fork the repository and clone your fork.

Steps to Build OCI

  1. Get the source code form GitHub repository

  2. Change in to one-click-installer directory:

    $ cd one-click-installer

  3. Create and change in to a build directory for compilation:

    $ mkdir build; cd build

  4. Run and configure process with cmake:

    $ cmake -DCMAKE_INSTALL_PREFIX=/usr ..

  5. Compile, and Install One Click Installer:

    $ make && [sudo] make install

Contributors

Saurabh Sood
Cornelius Schumacher
Matt Barringer
Antonio Larrosa
Shalom Rachapudi David

About

Beautiful one-click installer

Resources

License

Packages

No packages published

Contributors 4

  •  
  •  
  •  
  •  

Languages

You can’t perform that action at this time.